clang 10.0.0git

Public Member Functions | List of all members
clang::arcmt::trans::GCAttrsTraverser Class Reference

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/ARCMigrate/Transforms.h"`

Inheritance diagram for clang::arcmt::trans::GCAttrsTraverser:
[legend]
Collaboration diagram for clang::arcmt::trans::GCAttrsTraverser:
[legend]

## Public Member Functions
void | traverseTU (MigrationContext &MigrateCtx) override
Public Member Functions inherited from clang::arcmt::trans::ASTTraverser
virtual | ~ASTTraverser ()
virtual void | traverseBody (BodyContext &BodyCtx)
virtual void | traverseObjCImplementation (ObjCImplementationContext &ImplCtx)

## Detailed Description

Definition at line 144 of file Transforms.h.

## Member Function Documentation

## ◆ traverseTU()

void GCAttrsTraverser::traverseTU | ( | MigrationContext & | MigrateCtx | ) |
| override virtual

Reimplemented from clang::arcmt::trans::ASTTraverser.

Definition at line 323 of file TransGCAttrs.cpp.

References checkAllProps(), checkWeakGCAttrs(), clang::arcmt::MigrationPass::Ctx, errorForGCAttrsOnNonObjC(), clang::ASTContext::getTranslationUnitDecl(), and clang::arcmt::trans::MigrationContext::Pass.

The documentation for this class was generated from the following files:

- lib/ARCMigrate/Transforms.h
- lib/ARCMigrate/TransGCAttrs.cpp